{ config, lib, pkgs, unstable, ... }:
{
  imports = [
    ./gc
    ./unfree
  ];

  nix = {
    package = pkgs.lix;
    settings = {
      experimental-features = [
        "nix-command"
        "flakes"
      ];
      auto-optimise-store = true;
      trusted-users = [ "@wheel" ];
    };
  };

  _module.args.pkgsUnstable = import unstable {
    inherit (pkgs.stdenv.hostPlatform) system;
    inherit (config.nixpkgs) config;
  };
}
